GET
/api/conversations/{conversationId}/identity/metadataRetrieving information about the metadata collected during the identification process
Returns information about the available metadata that was collected during the identification process.
Detailed description of returned fields:
| Parameter | Example | Description |
|---|---|---|
| id | 9db8a804-4570-403e-9da6-162e608585e8 | Conversation ID. |
| letter | - | A structure representing the set of metadata collected from the identity validation process. |
| list.media | - | List of information about available multimedia files. |
| list.media.id | 7a4d1a9f-bdac-4d2c-96a6-bb51fb4ec7c5 | The ID of the media file. |
| list.media.type | DOCUMENT | Media file type. Possible values: DOCUMENT - document of the authenticated person, FACE - face of the authenticated person, REPORT - report on the verification process |
| list.media.subtype | ID_CARD | The sub-type of the media file, such as the type of document. The value is blank if type = FACE. ID_CARD - identity card of the authenticated person, DRIVER_LICENSE - driving license of the authenticated person, PASSPORT - passport of the authenticated person, RESIDENCE_PERMIT - residence card of the authenticated person, UTILITY_BILL - proof of address of the authenticated person |
| list.media.variant | FRONT | Variant of the media file, e.g. document page. The value is blank if type = FACE. FRONT - front side of the document, BACK - back side of the document |
| list.media.contentType | image/png | The type of media file content. Example values: image/png, video/mp4 |
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
conversationId | path | string | Required | Conversation ID |
Responses
Information available
Content-Type
application/vnd.authologic.v1.1+jsonJSONidstring required Conversation Id
Example:
e0c0b3cc-8238-414f-9940-9f14bd1b8693blistMetadataInfo required Metadata list, collected during the identification process
Bad Request
Content-Type
application/vnd.authologic.v1.1+jsonJSONOne of:
Variant 1
BadRequestApiError Variant 2
MethodArgumentNotValidError Variant 3
MethodArgumentTypeMismatchError Variant 4
ConstraintViolationError Variant 5
CustomValidationApiError Variant 6
OperationNotSupportedApiFieldError Variant 7
MissingHeaderApiErrorExhaustion of the plan or limitations related to non-payment
Permission denied
Content-Type
application/vnd.authologic.v1.1+jsonJSONstatusstring required Response status
messagestring required Descriptive error message
violationsarray<Violation> required Validation error list
statusDetailstringResponse status detailed information
Conversation not found
Content-Type
application/vnd.authologic.v1.1+jsonJSONstatusstring required Response status
messagestring required Descriptive error message
violationsarray<Violation> required Validation error list
statusDetailstringResponse status detailed information
Conversation is unavailable
Content-Type
application/vnd.authologic.v1.1+jsonJSONstatusstring required Response status
messagestring required Descriptive error message
violationsarray<Violation> required Validation error list
statusDetailstringResponse status detailed information
Server side error